Efreet.h File Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Macros | Typedefs | Functions | Variables
Efreet.h File Reference

The file that must be included by any project wishing to use Efreet. More...

## Data Structures
struct | _Efreet_Version

## Macros
#define | EAPI
#define | EFREET_VERSION_MAJOR EFL_VERSION_MAJOR
#define | EFREET_VERSION_MINOR EFL_VERSION_MINOR
#define | EAPI

## Typedefs
typedef struct _Efreet_Version | Efreet_Version
| Represents the current version of Efreet.

## Functions
EAPI int | efreet_init (void)
| Initializes the Efreet system. More...
EAPI int | efreet_shutdown (void)
| Shuts down Efreet if a balanced number of init/shutdown calls have been made. More...
EAPI void | efreet_lang_reset (void)
| Resets language dependent variables and resets language dependent caches This must be called whenever the locale is changed. More...

## Variables
EAPI Efreet_Version * | efreet_version

## Detailed Description

The file that must be included by any project wishing to use Efreet.

Efreet.h provides all of the necessary headers and includes to work with Efreet.

## Function Documentation

EAPI int efreet_init | ( | void |  | ) |

Initializes the Efreet system.

Returns
  Value > `0` if the initialization was successful, `0` otherwise.

References ecore_file_init(), ecore_file_shutdown(), ecore_init(), ecore_shutdown(), eet_init(), eet_shutdown(), eina_init(), and eina_shutdown().

Referenced by edje_init(), and efreet_mime_init().

EAPI int efreet_shutdown | ( | void |  | ) |

Shuts down Efreet if a balanced number of init/shutdown calls have been made.

Returns
  The number of times the init function has been called minus the corresponding init call.

References ecore_file_shutdown(), ecore_shutdown(), eet_shutdown(), EINA_LOG_ERR, and eina_shutdown().

Referenced by edje_init(), efreet_mime_init(), and efreet_mime_shutdown().

EAPI void efreet_lang_reset | ( | void |  | ) |

Resets language dependent variables and resets language dependent caches This must be called whenever the locale is changed.

Since
  1.7